/* mld/file.cpp */

#include "file.h"
#include <cstdio>
#include <string>

bool loadFile(const char* fname, finfo &ret) {
	ret.filename = std::string(fname);

	FILE* f = fopen(fname, "rb");
	if (f == NULL) {
		return false;
	}

	fseek(f, 0, SEEK_END);
	unsigned long fsize = ftell(f);
	char* buff = new char[ fsize ];

	fseek(f, 0, SEEK_SET);
	if (fread(buff, 1, fsize, f) != fsize) {
		delete[] buff;
		return false;
	}

	fclose(f);

	ret.data.assign(buff, fsize);
	
	delete[] buff;

	return true;
}
