/* mld.cpp */

#include "mld.h"
#include "mld_internal.h"

bool linkOptions::link() {

	linkOptions & lo = *this;

	if (! inputFiles.size()) {
		lastError << "FATAL: No input files specified\n";
		return false;
	}

	if (!linker_separate_archives(lo)) {
		return false;
	}

	if (!linker_process(lo)) {
		return false;
	}

	return true;
}
