/* mld.cpp */

#include "mld.h"
#include "mld_internal.h"

bool mld_link(linkOptions& lo) {

	if (!lo.inputFiles.size()) {
		lo.lastError << "FATAL: No input files specified\n";
		return false;
	}

	if (!linker_separate_archives(lo)) {
		return false;
	}

	if (!linker_process(lo)) {
		return false;
	}

	return true;
}
